%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
% auxiliary declarations 
%
rule_configuration(unused_rule_name).
rule_configuration(unused_rule_name, value1).
rule_configuration(unused_rule_name, value1, value2).
rule_configuration(unused_rule_name, value1, value2, value3).
rule_configuration(unused_rule_name, value1, value2, value3, value4).
rule_configuration(unused_rule_name, value1, value2, value3, value4, value5).
rule_configuration(unused_rule_name, value1, value2, value3, value4, value5, value6).
rule_configuration(unused_rule_name, value1, value2, value3, value4, value5, value6, value7).
rule_configuration(unused_rule_name, value1, value2, value3, value4, value5, value6, value7, value8).
rule_configuration(unused_rule_name, value1, value2, value3, value4, value5, value6, value7, value8, value9).
rule_configuration(unused_rule_name, value1, value2, value3, value4, value5, value6, value7, value8, value9, value10).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fixed_visible(unused_person_name, unused_camera_name, 0).
fixed_parent_camera(unused_camera_name, unused_camera_name).
fixed_visibility_regarding_state(unused_camera_name, unused_state_set, 0).
fixed_visibility_regarding_state(unused_camera_name, unused_person_set, unused_state_set, 0).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rule_configuration(s_moving_virtual_cameras, Zoom, HorizontalOffset, VerticalOffset, HorizontalSize, VerticalSize, PastWindow, FutureWindow, TimeOffset, Threshold) :-
  rule_configuration(s_moving_virtual_cameras, Zoom, VerticalOffset, PastWindow, FutureWindow, TimeOffset, Threshold),
  HorizontalOffset is 0,
  HorizontalSize is 0, 
  VerticalSize is 0.
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dynamicky modifikovatelne nastaveni
rule_configuration_dynamic(Name, Value1) :-
  once((
       rule_configuration_user(Name, Value) 
       -> 
       Value1 = Value
       ;
       rule_configuration(Name, Value1)
       )).

rule_configuration_dynamic(Name, Value1, Value2) :-
  once((
       rule_configuration_user(Name, Value1, Value2);
       rule_configuration(Name, Value1, Value2)
       )).

